Page MenuHomePhabricator

nfs-mount-manager: reduce verbosity
Closed, ResolvedPublic

Description

This is logged for every Puppet run:

Dec 12 20:45:23 tools-grid-master nfs-mount-manager[12415]: /mnt/nfs/labstore-secondary-tools-home is mounted.
Dec 12 20:45:23 tools-grid-master nfs-mount-manager[12419]: /mnt/nfs/labstore-secondary-tools-home seems healthy.
Dec 12 20:45:23 tools-grid-master nfs-mount-manager[12434]: /mnt/nfs/labstore-secondary-tools-project is mounted.
Dec 12 20:45:23 tools-grid-master nfs-mount-manager[12438]: /mnt/nfs/labstore-secondary-tools-project seems healthy.
Dec 12 20:45:23 tools-grid-master nfs-mount-manager[12453]: /mnt/nfs/labstore1003-scratch is mounted.
Dec 12 20:45:23 tools-grid-master nfs-mount-manager[12457]: /mnt/nfs/labstore1003-scratch seems healthy.
Dec 12 20:45:23 tools-grid-master nfs-mount-manager[12472]: /mnt/nfs/dumps-labstore1006.wikimedia.org is mounted.
Dec 12 20:45:23 tools-grid-master nfs-mount-manager[12476]: /mnt/nfs/dumps-labstore1006.wikimedia.org seems healthy.
Dec 12 20:45:23 tools-grid-master nfs-mount-manager[12491]: /mnt/nfs/dumps-labstore1007.wikimedia.org is mounted.
Dec 12 20:45:23 tools-grid-master nfs-mount-manager[12495]: /mnt/nfs/dumps-labstore1007.wikimedia.org seems healthy.

If we trust this code, it should only output errors in normal mode.

Event Timeline

GTirloni created this task.Dec 12 2018, 8:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 12 2018, 8:47 PM

Change 479409 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] nfs-mount-manager: Reduce verbosity and fix linter warnings

https://gerrit.wikimedia.org/r/479409

GTirloni triaged this task as Low priority.Dec 13 2018, 1:14 PM
GTirloni claimed this task.
GTirloni moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.

Change 479409 merged by GTirloni:
[operations/puppet@production] nfs-mount-manager: Reduce verbosity

https://gerrit.wikimedia.org/r/479409

Mentioned in SAL (#wikimedia-cloud) [2018-12-17T19:18:33Z] <gtirloni> decreased nfs-mount-manager verbosity (T211817)

GTirloni closed this task as Resolved.Dec 17 2018, 7:18 PM